## compiz-plugins-main 0.9.7.0~bzr19

=== CMakeLists.txt ===
project (compiz-plugins-main)

cmake_minimum_required (VERSION 2.4)

find_package (Compiz REQUIRED)

include (CompizCommon)
include (CompizPackage)

file (READ ${CMAKE_SOURCE_DIR}/VERSION COMPIZ_RELEASE_VERSION LIMIT 12 OFFSET 0)
string (STRIP ${COMPIZ_RELEASE_VERSION} COMPIZ_RELEASE_VERSION)

set (VERSION ${COMPIZ_RELEASE_VERSION})

set (COMPIZ_PLUGIN_INSTALL_TYPE "package")

set (ALL_LINGUAS af ar bg bn bn_IN bs ca cs cy da de el en_GB en_US es eu et fi fr gl gu he hi hr hu id it ja ka km ko lo lt mk mr nb nl or pa pl pt pt_BR ro ru sk sl sr sv ta tr uk vi xh zh_CN zh_TW zu)
set (GETTEXT_PACKAGE compiz-plugins-main)

compiz_add_plugins_in_folder ("${CMAKE_SOURCE_DIR}")

compiz_print_configure_header ("Compiz Plugins Main")
compiz_print_plugin_stats ("${CMAKE_SOURCE_DIR}")
compiz_print_configure_footer ()

compiz_package_generation ("Compiz Plugins Main")
compiz_add_git_dist ()
compiz_add_distcheck ()
compiz_add_release ()
compiz_add_release_signoff ()

=== grid/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

set (CMAKE_CXX_FLAGS -std=c++0x)

compiz_plugin(grid PLUGINDEPS composite opengl)

add_subdirectory (tests/grabhandler)

=== wall/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (wall PLUGINDEPS composite opengl mousepoll PKGDEPS cairo cairo-xlib-xrender)

=== grid/tests/grabhandler/CMakeLists.txt ===
include_directories (${compiz_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/src)

add_executable (test-grid-grab-handler
		test-grid-grab-handler.cpp
		../../src/grabhandler.cpp)

target_link_libraries (test-grid-grab-handler pthread dl)

add_test (test-grid-grab-handler-test test-grid-grab-handler)

=== debian/changelog ===
compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu10.1) precise; urgency=low

  * debian/patches/fix_755842.patch:
    Fix non-maximized windows which sit on the border of a workspace move
    when called (LP: #755842) 
  * debian/patches/fix_1015151.patch:
    Fix a crash related to the above fix (LP: #1015151)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 25 Feb 2013 10:56:33 +0200

compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu10) precise; urgency=low

  [ Sam Spilsbury ]
  * debian/patches/fix_963767.patch : fix LP: #963767, scale correctly

  [ Didier Roche ]
  * debian/patches/ubuntu_config.patch:
    Fix typos in animation.xml.in causing mismatched animations of menus and
    tooltips (LP: #977743)
  * debian/patches/fix_976469.patch:
    - Shadows are not clipped until animations are finished (LP: #976469)
  * debian/patches/fix_940603.patch:
    - white box randomly shows up at top left corner blocking applications from
      using stuff under it (LP: #940603)

  [ Oliver Grawert ]
  * update GLES2 patch for latest changes.
  * thanks to Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com> for
    merging the packaging changes into the right branches.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 12 Apr 2012 09:19:07 +0200

compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu9) precise; urgency=low

  * add quilt support to debian/rules
  * enable per-arch patches in debian/rules (series.<arch> is now respected)
  * add arch specific .install files for armel/armhf
  * enable gles2 buildoptions on armel/armhf
  * add arch specific compiz-plugins-main-gles2.patch for arm arches, credits
    go to Alexandros Frantzis <alexandros.frantzis@linaro.org> for creating
    it.
  * build depend on compiz-dev 1:0.9.7.4-0ubuntu3 since we need the
    FindOpenGLES2.cmake fix from this version to build on armhf(/el)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 06 Apr 2012 02:50:50 +0200

compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu8) precise; urgency=low

  [ Matthias Niess]
  * debian/patchs/ubuntu-config.patch:
    - disable ezoom bad default of Super+r causing zoom to current window
      (LP: #953278)

  [ Didier Roche ]
  * debian/patches/ubuntu_config.patch: (LP: #969235)
    - update shortcuts per design request:
      Ctrl + Super + Cursor Left or Right Semi-maximises current window

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 03 Apr 2012 15:45:04 +0200

compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu7) precise-proposed; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * debian/patches/shift_954079.patch:
    - cherry picked the shift plugin patch for fixing an issue with compiz crashes
      on right-click. This removes an unused option in the plugin. (LP: #954079)
  * debian/patches/fix_broken_build.patch:
    - fixes the build with the newer compiz
  * debian/patches/vpswitch_953834.patch:
    - don't pass through keystrokes you are using to the active window (LP: #953834)

  [ Didier Roche ]
  * debian/control:
    - bump compiz-dev and libcompizconfig0-dev build-dep for ABI break
  * debian/patches/fix_930192.patch:
    - Animations of large or full-screen windows skip frames (not smooth) (LP: #930192)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 21 Mar 2012 11:46:41 +0100

compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu6) precise; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * debian/patches/workarounds_931473.patch:
    - cherry picked the workarounds plugin patch for fixing menu redraw issues.
      On initial damage events we now force a complete window redraw. (LP: #931473)

  [ Didier Roche ]
  * debian/control:
    - bump compiz-dev and libcompizconfig0-dev build-dep for ABI break

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 12 Mar 2012 12:45:30 +0100

compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu5) precise; urgency=low

  * debian/control:
    - build against libjpeg-dev instead of the 62 flavor
  * debian/patches/ubuntu_config.patch:
    - revert the keybinding workspace changes as we can't keep the old one in
      addition to the new one. Some plan on compiz will be done for next cycle
      to support this and give another try to the new keybinding. (LP: #940085)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 28 Feb 2012 10:59:52 +0100

compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu3) precise; urgency=low

  * apply design changes for the keybindings (LP: #878820, #891757, #751050),
    debian/patches/ubuntu_config.patch:
    - Control + Alt + KP_5: don't center, used for toggling maximize state
      by core
    - Remove Control + Alt + KP_0 to not maximize,  (used to minimize in core)
    - Super + Left, Right key to semi maximize and stack on left or right
    - Remove zoom in/out/box (like in oneiric and before). Those should be
      enabled in g-c-c with the a11y tools.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 22 Feb 2012 15:04:30 +0100

compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu2) precise; urgency=low

  [ Sam Spilsbury ]
  * debian/patches/expo_api_931927.patch
  * debian/patches/workarounds_923087.patch
    - adjust for API breaks (LP: #931927, #923087)

  [ Didier Roche ]
  * debian/control:
    - build-dep on latest compiz-dev for ABI dev

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 16 Feb 2012 15:14:05 +0100

compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu1) precise; urgency=low

  * New upstream snapshot:
    - Ctrl-Alt-KP_9 adjusts window to upper half instead of top right corner
      (behaves like Ctrl-Alt-KP_8) (LP: #876591)
    - Some plugins no longer build due to undefined DEG2RAD (LP: #918554)
    - Compiz grid plugin is fired when resizing a window (LP: #891886)
    - Sometimes the grid indicator is shown after double clicking to exit from expo (LP: #868295) 
    - unmaximizable windows still show orange glow but fail to maximize (LP: #827560)
    - compiz crashed with SIGSEGV in CompWindow::serverBorderRect() (LP: #834585)
    - dragging a window to the top while maximized gives it double
      borders (LP: #850985)


=== debian/control ===
Source: compiz-plugins-main
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Sean Finney <seanius@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               cmake,
               quilt,
               intltool,
               compiz-dev (>= 1:0.9.7.4-0ubuntu3),
               libgconf2-dev,
               libglib2.0-dev,
               libtool,
               libglu1-mesa-dev [!armel !armhf],
               libjpeg-dev,
               libxml2-dev,
               libxslt1-dev,
               pkg-config,
               xsltproc,
               libcairo2-dev,
               libpango1.0-dev,
               librsvg2-dev,
               libsm-dev,
               libdbus-1-dev,
               libdecoration0-dev (>= 1:0.9.5.92),
               libboost1.46-dev,
               libboost-serialization1.46-dev,
Standards-Version: 3.8.1
Section: x11
Vcs-Bzr: http://bazaar.launchpad.net/~compiz/compcomm-plugins-main/ubuntu

Package: compiz-plugins-main-default
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         compiz-core, compiz-core-abiversion-${coreabiversion}
Breaks: compiz-core (<< 1:0.9.2.1+glibmainloop3)
Replaces: compiz-fusion-plugins-main (<< 0.9.4-0ubuntu1),
          compiz-plugins-main (<< 0.9.4+bzr20110527-0ubuntu2),
          compiz-plugins-default (<< 1:0.9.5),
          compiz-plugins (<< 1:0.9.4+bzr20110606-0ubuntu1),
          compiz-gnome (<< 1:0.9.5),
Conflicts: compiz-fusion-plugins-main (<< 0.9.4-0ubuntu1)
Description: Compiz plugins - main default collection
 Compiz seeks to provide an easy and fun-to-use windowing environment,
 allowing use of the graphics hardware to provide impressive effects,
 amazing speed and unrivalled usefulness.
 .
 This package provides the primary and most well tested set of plugins
 installed by default in ubuntu from the compiz project.

Package: compiz-plugins-main
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         compiz-plugins-main-default (= ${binary:Version}),
         compiz-core, compiz-core-abiversion-${coreabiversion},
Breaks: compiz-core (<< 1:0.9.2.1+glibmainloop3)
Replaces: compiz-fusion-plugins-main (<< 0.9.4-0ubuntu1)
Conflicts: compiz-fusion-plugins-main (<< 0.9.4-0ubuntu1)
Description: Compiz plugins - main collection
 Compiz seeks to provide an easy and fun-to-use windowing environment,
 allowing use of the graphics hardware to provide impressive effects,
 amazing speed and unrivalled usefulness.
 .
 This package provides the primary and most well tested set of plugins
 from the compiz project.

Package: compiz-plugins-main-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         compiz-dev,
         compiz-plugins-main (= ${binary:Version}),
Replaces: compiz-plugins-main (<< 0.9.4+bzr20110527-0ubuntu2),
          compiz-fusion-plugins-main (<< 0.9.4-0ubuntu1)
Conflicts: compiz-fusion-plugins-main (<< 0.9.4-0ubuntu1)
Description: Compiz plugins - main collection development files
 Compiz seeks to provide an easy and fun-to-use windowing environment,
 allowing use of the graphics hardware to provide impressive effects,
 amazing speed and unrivalled usefulness.
 .
 This package contains the headers and libraries needed to compile compiz
 plugins depending from plugin in compiz-plugins-main.

Package: compiz-fusion-plugins-main
Depends: compiz-plugins-main, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package.
 .
 This package ensures a clean upgrade path, and can be safely removed
 after the upgrade.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
gles2_architectures := armel armhf

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' /usr/include/compiz/core/abiversion.h )

override_dh_quilt_patch:
	dh_quilt_patch
	if test -r debian/patches/series.$(DEB_HOST_ARCH); then \
		pc=".pc.$(DEB_HOST_ARCH)"; \
		test -d "$(CURDIR)/$$pc" || mkdir "$(CURDIR)/$$pc"; \
		cp debian/patches/series.$(DEB_HOST_ARCH) $(CURDIR)/$$pc/series; \
		cd $(CURDIR); \
		QUILT_PC="$$pc" quilt upgrade || true; \
		QUILT_PC="$$pc" QUILT_PATCHES="debian/patches/" quilt push -a || true; \
	fi; \

override_dh_quilt_unpatch:
	if test -r debian/patches/series.$(DEB_HOST_ARCH); then \
		pc=".pc.$(DEB_HOST_ARCH)"; \
		cd $(CURDIR); \
		QUILT_PC="$$pc" QUILT_PATCHES="debian/patches/" quilt pop -a || true; \
	fi; \
	dh_quilt_unpatch

override_dh_auto_configure:
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCOMPIZ_PLUGIN_INSTALL_TYPE=package -DUSE_GSETTINGS=OFF -DCOMPIZ_DISABLE_GS_SCHEMAS_INSTALL=ON -DBUILD_GLES=ON
else
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCOMPIZ_PLUGIN_INSTALL_TYPE=package -DUSE_GSETTINGS=OFF -DCOMPIZ_DISABLE_GS_SCHEMAS_INSTALL=ON
endif

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)

%:
	dh --with quilt $@
